Subject: bug#35994: closed (Re: bug#35994: Remove leading '*' from defcustom docstring todo considered done)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Jun 2019 07:14:02 +0000

Your bug report

#35994: Remove leading '*' from defcustom docstring todo considered done

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35994: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35994
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35994: Remove leading '*' from defcustom docstring todo considered done
From: Eli Zaretskii <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 09 Jun 2019 10:12:47 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 3 Jun 2019 02:43:59 +0200
> Cc: [email-masked]
> 
> Basil L. Contovounesios <[email-masked]> writes:
> > There is also at least one defface (ibuffer-locked-buffer), and the
> 
> Please find attached an updated patch fixing this - thanks.
> 
> > defvars in lisp/obsolete/cc-compat.el (I just did a quick rgrep '^  "\*').
> 
> This is related to the TODO:
> 
>  ** Convert all defvars with leading '*' in the doc-strings into defcustoms
>   of appropriate :type and :group.
> 
> I have attached a second patch which fixes this TODO item.

Thanks, I pushed this to the master branch.

Please in the future, if you send several patches that change the same
files, be sure to arrange them in the order you made the changes,
because otherwise they might fail to apply.  In this case you sent the
patches in the reverse order; I was lucky to be able to figure out
that they need to be applied in reverse.

(In general, if you change the same files for reasons that are closely
related, like in this case, sending a single patch makes the job of
installing easier.)

Subject: Remove leading '*' from defcustom docstring todo considered done
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Wed, 29 May 2019 19:55:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I looked into the following item in etc/TODO:

> ** Remove any leading '*'s from defcustom doc-strings.
> [done?] [A lot of them are in CC Mode.]

I couldn't find one example.  Therefore, I propose that this should be
considered done.  I've attached a patch that removes the TODO.

I carried out the following steps, in case anyone wants to verify:

1. find . -type f -name "*.el" -exec grep -Hn -A20 "(defcustom" {} \; > output
2. grep '\*' output > output.filtered
3. Checked output.filtered manually (<< least fun step)

I'm sure there's a better way to do this, but I couldn't be bothered to think of
one.

Thanks,
Stefan Kangas